"""
Schreibe eine Funktion, die eine ganze Zahl als Parameter
übernimmt und feststellt, ob diese Zahl eine Primzahl ist.
Die Funktion soll entsprechend True oder False als Rückgabewert
liefern. Verwende diese Funktion in einem kleinen Programm.
Verwende dafür den Modulo-Operator: %.
Er liefert den Rest der Division.
5%3 ergibt zum Beispiel 2.										☆☆☆

>>>
Bitte eine Zahl eingeben ('q'=Ende): 13
Die Zahl ist eine Primzahl
Bitte eine Zahl eingeben ('q'=Ende): 12
Die Zahl ist keine Primzahl
>>>
"""
import math

while True:
    eingabe = input("Bitte eine Zahl eingeben ('q'=Ende): ")
    if eingabe == "q":
        break
    zahl = int(eingabe)
    if zahl == 0 or zahl == 1:
        print("Die Zahl ist keine Primzahl.")
    else:
        prim = True
        zahl_wurzel = math.sqrt(zahl) # zur Optimierung, nicht unbedingt erforderlich
        for i in range(2,zahl):
            #print(i, end=" ")    # Für debugging
            if zahl % i == 0:
                prim = False
                break
            # zur Optimierung, nicht unbedingt erforderlich
            if i > zahl_wurzel:
                break
            # -----
        #print("")                # Für debugging
        if prim:
           print("Die Zahl ist eine Primzahl.")
        else:
           print("Die Zahl ist keine Primzahl.")
print("Auf Wiedersehen.")
